import { makeVar, useReactiveVar } from '@inject/shared/utils/reactive'

const initialSettings: string | null = null

export const host = makeVar<string | null>(initialSettings)
export const useHost = () => useReactiveVar(host)

host.onNextChange(function onNext() {
  host.onNextChange(onNext)
})
